// The Graphical Terminal for Clipper
// (C) Antonio Linares, 1993

#include "InKey.ch"

//----------------------------------------------------------------------------//

function Main()

   local cTest1 := "This is a standard GET"
   local cTest2 := "running in Text Mode"
   local oBrw   := TBrowseNew( 10, 3, 20, 50 )
   local lEnd   := .f.

   oBrw:AddColumn( TbColumnNew( "Hello",     { || "Hello" } ) )
   oBrw:AddColumn( TbColumnNew( "I am",      { || "I am" } ) )
   oBrw:AddColumn( TbColumnNew( "a TBrowse", { || "a TBrowse" } ) )
   oBrw:SkipBlock = { | n | n }
   oBrw:ColorSpec = "W+/R, W+/BG"

   SET COLOR TO "W+/B, W+/R,,, N/BG"
   CLS

   @ 3, 3 TO 20, 70
   @ 10, 10 SAY "Hello World!" COLOR "GR+/B"
   @ 12, 10 SAY "Text Mode Test" GET cTest1
   @ 14, 10 SAY "Standard Clipper..." GET cTest2
   READ

   SetVideo( 18 )

   SET COLOR TO "W+/B, W+/R,,, N/BG"
   CLS

   cTest2 = "running in grahical mode!"
   @ 7, 3 TO 24, 70
   PcxDisplay( "Clipper.pcx", 3, 30 )
   @ 12, 10 SAY "Hello Graphical World!" COLOR "GR+/B"
   @ 22, 10 SAY "Hey!, what a nice mouse!" COLOR "W+/RB"
   @ 14, 10 SAY "Text Mode Test" GET cTest1
   @ 16, 10 SAY "Standard Clipper..." GET cTest2
   MOn()
   READ
   MOff()

   SetVideo( 3 )
   SET COLOR TO "W+/B, W+/R,,, N/BG"
   CLS

   cTest2 = "running in text mode!"
   @ 10, 10 SAY "Back in text mode..." COLOR "GR+/B"
   @ 12, 10 SAY "Text Mode Test" GET cTest1
   @ 14, 10 SAY "Standard Clipper..." GET cTest2
   READ

   Alert( "Give me some days;to make it nicer;;A.Linares" )

   SET COLOR TO "W+/BG, W+/N"
   CLS
   while ! oBrw:Stabilize(); end

   InKey( 0 )

   SetVideo( 18 )
   SET COLOR TO "W+/BG, W+/N"
   CLS
   PcxDisplay( "Clipper.pcx", 3, 30 )
   oBrw:InvalidateAll()

   MOn()
   while ! lEnd

      MOff()
      while ! oBrw:Stabilize(); end
      MOn()
      nKey = InKey( 0 )

      do case
         case nKey == K_ESC
              lEnd = .t.

         case nKey == K_UP
              Obrw:Up()

         case nKey == K_DOWN
              oBrw:Down()

         case nKey == K_LEFT
              oBrw:Left()

         case nKey == K_RIGHT
              Obrw:Right()
      endcase
   end

   SetVideo( 3 )
   SET COLOR TO "W+/B"
   CLS
   Alert( "Is it nice ? ; Sure! Just few days...!;" + ;
          "Let me know if you like it and if you want it!;A.Linares" )

return

//----------------------------------------------------------------------------//
